## hb-version hb-version — Information about the version of HarfBuzz in use |

## Functions

#define | HB_VERSION_ATLEAST()
void | hb_version ()
hb_bool_t | hb_version_atleast ()
const char * | hb_version_string ()

## Types and Values

#define | HB_VERSION_MAJOR
#define | HB_VERSION_MICRO
#define | HB_VERSION_MINOR
#define | HB_VERSION_STRING

## Includes

    #include <hb.h>

## Description

These functions and macros allow accessing version of the HarfBuzz library used at compile- as well as run-time, and to direct code conditionally based on those versions, again, at compile- or run-time.

## Functions

### HB_VERSION_ATLEAST()

    #define             HB_VERSION_ATLEAST(major,minor,micro)

Tests the library version at compile-time against a minimum value, as three integer components.

#### Parameters

major | the major component of the version number |
minor | the minor component of the version number |
micro | the micro component of the version number |

### hb_version ()

    void
    hb_version (unsigned int *major,
                unsigned int *minor,
                unsigned int *micro);

Returns library version as three integer components.

#### Parameters

major | Library major version component. | [out]
minor | Library minor version component. | [out]
micro | Library micro version component. | [out]

Since: 0.9.2

### hb_version_atleast ()

    hb_bool_t
    hb_version_atleast (unsigned int major,
                        unsigned int minor,
                        unsigned int micro);

Tests the library version against a minimum value, as three integer components.

#### Parameters

major | Library major version component |
minor | Library minor version component |
micro | Library micro version component |

#### Returns

`true` if the library is equal to or greater than the test value, `false` otherwise

Since: 0.9.30

### hb_version_string ()

    const char *
    hb_version_string (void);

Returns library version as a string with three components.

#### Returns

Library version string

Since: 0.9.2

## Types and Values

### HB_VERSION_MAJOR

    #define             HB_VERSION_MAJOR

The major component of the library version available at compile-time.

### HB_VERSION_MICRO

    #define             HB_VERSION_MICRO

The micro component of the library version available at compile-time.

### HB_VERSION_MINOR

    #define             HB_VERSION_MINOR

The minor component of the library version available at compile-time.

### HB_VERSION_STRING

    #define             HB_VERSION_STRING

A string literal containing the library version available at compile-time.